Subject: bug#17036: Continuation for Emacs: invoking a process on exit?

From: Eli Zaretskii <[email-masked]>
Date: Sun, 17 Apr 2022 14:57:58 +0300

> Resent-From: Lars Ingebrigtsen <[email-masked]>
> Original-Sender: "Debbugs-submit" <[email-masked]>
> Resent-CC: [email-masked]
> Resent-Sender: [email-masked]
> From: Lars Ingebrigtsen <[email-masked]>
> Date: Sun, 17 Apr 2022 13:38:10 +0200
> Cc: [email-masked], Andreas Schwab <[email-masked]>,
>  Reuben Thomas <[email-masked]>
> 
> Glenn Morris <[email-masked]> writes:
> 
> > I could imagine a `restart-emacs' command having some small utility.
> 
> I've now added this command to Emacs 29.

As implemented, it won't work reliably on MS-Windows, because execvp
there doesn't do what you think it should.  I think we should use
sys_spawnve instead.